


	project, uses(newspapers_loaded.dta)
	project, uses(../district_dates.dta)


	
	use newspapers_loaded.dta, clear
	
	
	
	drop if year>1915 & month>=6 //last election was held in May 1915
			
*	contract id name district T
	
	gen DATE = date(datum + "_1", "YMD")	
	format DATE %td
	replace name ="" if DATE<date(start, "DMY") | DATE>date(end, "DMY")
	


	replace id = trim(id)
	gen frequency = "weekly"
	replace frequency = "daily" if regexm(lower(T), "^dagblad")
	replace frequency = "daily" if id=="10-1" & year>=1893
	replace frequency = "daily" if id=="11-3" & year>=1887
	replace frequency = "daily" if id=="14-2" & year>=1868
	replace frequency = "daily" if id=="14-3" & year>=1876
	replace frequency = "daily" if id=="15-1" & year>=1884
	replace frequency = "daily" if id=="15-4" & year>=1890
	replace frequency = "daily" if id=="16-4" & year>=1876
	replace frequency = "daily" if id=="18-5" & [(year==1895 & month>=10) | year>=1896]
	replace frequency = "daily" if id=="19-1" & year>=1868
	replace frequency = "daily" if id=="19-2" & year>=1872
	replace frequency = "daily" if id=="2-3" & year>=1873
	replace frequency = "daily" if id=="20-1" & year>=1871
	replace frequency = "daily" if id=="21-1" & year>=1882
	replace frequency = "daily" if id=="22-1" & [(year==1891 & month>=2) | year>=1892]
	replace frequency = "daily" if id=="23-1" & year>=1878
	replace frequency = "daily" if id=="25-4" & year>=1870
	replace frequency = "daily" if id=="25-5" & year>=1874
	replace frequency = "daily" if id=="26-3" & year>=1875
	replace frequency = "daily" if id=="27-1" & year>=1874
	replace frequency = "daily" if id=="28-2" & year>=1874
	replace frequency = "daily" if id=="29-1" & year>=1874
	replace frequency = "daily" if id=="30-2" & year>=1887
	replace frequency = "daily" if id=="30-3" & year>=1879
	replace frequency = "daily" if id=="31-1" & year>=1891
	replace frequency = "daily" if id=="31-7" & year>=1891
	replace frequency = "daily" if id=="33-1" & year>=1855
	replace frequency = "daily" if id=="34-1" & year>=1865
	replace frequency = "daily" if id=="34-4" & year>=1873
	replace frequency = "daily" if id=="35-2" & year>=1880
	replace frequency = "daily" if id=="36-1" & year>=1878
	replace frequency = "daily" if id=="39-2" & year>=1850
	replace frequency = "daily" if id=="39-3" & year>=1850
	replace frequency = "daily" if id=="4-6" & [(year==1898 & month>=2) | year>=1899]	
	replace frequency = "daily" if id=="40-7" & year>=1881
	replace frequency = "daily" if id=="41-1" & year>=1870
	replace frequency = "daily" if id=="42-1" & year>=1884
	replace frequency = "daily" if id=="43-2" & year>=1870
	replace frequency = "daily" if id=="45-1" & year>=1880	
	replace frequency = "daily" if id=="45-2" & year>=1880	
	replace frequency = "daily" if id=="46-1" & year>=1880
	replace frequency = "daily" if id=="47-2" & year>=1870
	replace frequency = "daily" if id=="49-1" & year>=1880	
	replace frequency = "daily" if id=="49-3" & year>=1895
	replace frequency = "daily" if id=="5-1" & year>=1895
	replace frequency = "daily" if id=="50 a-3" & year>=1899 // check
	replace frequency = "daily" if id=="51-1" & year>=1860
	replace frequency = "daily" if id=="51-3" & [(year==1877 & month>=10) | year>=1888]		
	replace frequency = "daily" if id=="52-1" & year>=1860
	replace frequency = "daily" if id=="52-2" & year>=1866
	replace frequency = "daily" if id=="53-3" & year>=1880
	replace frequency = "daily" if id=="55-1" & year>=1867
	replace frequency = "daily" if id=="56-1" & year>=1875	
	replace frequency = "daily" if id=="59-1" & year>=1860
	replace frequency = "daily" if id=="6-2" & year>=1868
	replace frequency = "daily" if id=="60-2" & year>=1892
	replace frequency = "daily" if id=="61-1" & year>=1865
	replace frequency = "daily" if id=="62-1" & year>=1880
	replace frequency = "daily" if id=="63-2" & year>=1870
	replace frequency = "daily" if id=="64-3" & year>=1880
	replace frequency = "daily" if id=="66-1" & year>=1855
	replace frequency = "daily" if id=="71-1" & year>=1875	
	replace frequency = "daily" if id=="72-1" & year>=1872
	replace frequency = "daily" if id=="76-1" & year>=1872
	replace frequency = "daily" if id=="77-1" & year>=1880	
	replace frequency = "daily" if id=="79-1" & year>=1870	
	replace frequency = "daily" if id=="8-1" & year>=1868
	replace frequency = "daily" if id=="80-1" & year>=1880
	replace frequency = "daily" if id=="84-1" & year>=1875
	replace frequency = "daily" if id=="84-2" & year>=1885	
	replace frequency = "daily" if id=="85-1" & year>=1879
	replace frequency = "daily" if id=="86-1" & year>=1875
	replace frequency = "daily" if id=="86-2" & year>=1875	
	replace frequency = "daily" if id=="87-1" & year>=1877
	replace frequency = "daily" if id=="87-2" & year>=1880
	replace frequency = "daily" if id=="92-1" & year>=1870
	replace frequency = "daily" if id=="92-2" & year>=1870
	replace frequency = "daily" if id=="93-1" & year>=1870
	replace frequency = "daily" if id=="19-5" | id=="71-6" | id=="25-6" | id=="61-9" | id=="14-6" | id=="14-7" | id=="2-7" | id=="39-14" | id=="59-18" | id=="66-13" | id=="71-6" | id=="91-6"

	
	gen freq = .	
	replace freq =6 if id=="2-1" 	
	replace freq =1 if id=="2-1" & [(year==1867 & month>=3) | year>=1868]
	replace freq =2 if id=="2-1" & [(year==1867 & month>=10) | year>=1868]
	replace freq =2 if id=="2-1" & [(year==1868 & month>=4) | year>=1869]
	replace freq =1 if id=="2-2" 
	replace freq =4 if id=="2-3" 
	replace freq =6 if id=="2-3" & year>=1873
	replace freq =7 if id=="2-4" 
	replace freq =3 if id=="2(1894)" 
	replace freq =6 if id=="2(1894)"  & [(year==1894 & month>=7)]
	replace freq =6 if id=="2-5" 
	replace freq =6 if id=="2-6" 
	replace freq =2 if id=="1903"
	replace freq =2 if id=="1903" & [(year==1904 & month>=4) | year>=1905]
	replace freq =2 if id=="4-2" 
	replace freq =6 if id=="4-3" 
	replace freq =2 if id=="4-4" 
	replace freq =1 if id=="4(1876)"
	replace freq =1 if id=="4(1882)" 
	replace freq =6 if id=="4-5" 
	replace freq =2 if id=="4-6" 
	replace freq =6 if id=="4-6" & [(year==1898 & month>=3) | year>=1899]
	replace freq =2 if id=="4-7" 
	replace freq =1 if id=="4(1895)"
	replace freq =3 if id=="5-1"
	replace freq =6 if id=="5-1" & [(year==1864 & month>=4) | year>=1865]
	replace freq =1 if id=="5(1855)" 
	replace freq =6 if id=="5-2" 
	replace freq =4 if id=="5-4" 
	replace freq =6 if id=="5-4" & [(year==1874 & month>=10) | year>=1875]
	replace freq =3 if id=="6-2"  & [(year==1852 & month>=7) | year>=1853]
	replace freq =4 if id=="6-2" & [(year==1857 & month>=5) | year>=1858]
	replace freq =6 if id=="6-2" & [(year==1868 & month>=10) | year>=1859]
	replace freq =6 if id=="6-4" 
	replace freq =3 if id=="6(1892)" 
	replace freq =6 if id=="6(1892)" & [(year==1892 & month>=4) | year>=1893]
	replace freq =7 if id=="6(1895)"
	replace freq =1 if id=="8-1"
	replace freq =2 if id=="8-1" & [(year==1848 & month>=4) | year>=1849]
	replace freq =3 if id=="8-1" & [(year==1852 & month>=1) | year>=1853]
	replace freq =4 if id=="8-1" & [(year==1867 & month>=10) | year>=1868]
	replace freq =6 if id=="8-1" & [(year==1868 & month>=1) | year>=1869]
	replace freq =1 if id=="8(1847)"
	replace freq =2 if id=="8-2"
	replace freq =1 if id=="8-3"
	replace freq =2 if id=="8-3" & [(year==1859 & month>=10) | year>=1860]
	replace freq =1 if id=="8-3" & [(year==1860 & month>=4) | year>=1861]
	replace freq =6 if id=="8-4"
	replace freq =1 if id=="8(1869)"
	replace freq =3 if id=="8-5"
	replace freq =6 if id=="8-6"
	replace freq =6 if id=="8-7"
	replace freq =6 if id=="8-8"
	replace freq =4 if id=="9-2"
	replace freq =5 if id=="9-2" & [(year==1859 & month>=1) | year>=1860]
	replace freq =6 if id=="9-2" & [(year==1864 & month>=1) | year>=1865]
	replace freq =1 if id=="9(1846)"
	replace freq =1 if id=="9(1852)"
	replace freq =3 if id=="9-5"
	replace freq =6 if id=="9-6"
	replace freq =6 if id=="9-8"
	replace freq =1 if id=="10-1"
	replace freq =3 if id=="10-1" & [(year==1871 & month>=1) | year>=1873]
	replace freq =4 if id=="10-1" & [(year==1884 & month>=1) | year>=1885]
	replace freq =6 if id=="10-1" & [(year==1893 & month>=10) | year>=1894]
	replace freq =2 if id=="11-1"
	replace freq =3 if id=="11-1" & [(year==1862 & month>=4) | year>=1863]
	replace freq =2 if id=="11-1" & [(year==1864 & month>=7) | year>=1865]
	replace freq =1 if id=="11-1" & [(year==1865 & month>=10) | year>=1866]
	replace freq =3 if id=="11-2"
	replace freq =3 if id=="11-3"
	replace freq =6 if id=="11-3" & [(year==1887 & month>=4) | year>=1888]
	replace freq =6 if id=="13-1"
	replace freq =4 if id=="13-2"
	replace freq =2 if id=="14-2"
	replace freq =3 if id=="14-2" & [(year==1850 & month>=1) | year>=1851]
	replace freq =4 if id=="14-2" & [(year==1853 & month>=1) | year>=1854]
	replace freq =6 if id=="14-2" & [(year==1868 & month>=1) | year>=1869]	
	replace freq =4 if id=="14-3" 
	replace freq =6 if id=="14-3" & [(year==1876 & month>=1) | year>=1877]	
	replace freq =6 if id=="14-4"
	replace freq =6 if id=="14-5"
	replace freq =1 if id=="14(1890)"
	replace freq =1 if id=="14(1892)" 
	replace freq =2 if id=="14(1892)" & [(year==1893 & month>=3) | year>=1894]	
	replace freq =6 if id=="14-6"
	replace freq =6 if id=="14-8"
	replace freq =2 if id=="15-1"
	replace freq =3 if id=="15-1" & [(year==1858 & month>=12) | year>=1859]	
	replace freq =6 if id=="15-1" & [(year==1884 & month>=12) | year>=1885]	
	replace freq =6 if id=="15-3"
	replace freq =3 if id=="15-4"
	replace freq =6 if id=="15-4" & [(year==1890 & month>=1) | year>=1891]	
	replace freq =6 if id=="15-6"
	replace freq =6 if id=="15-7"
	replace freq =3 if id=="16-3"
	replace freq =3 if id=="16-4"
	replace freq =6 if id=="16-4" & [(year==1876 & month>=11) | year>=1877]	
	replace freq =6 if id=="16-6"
	replace freq =6 if id=="16-7"
	replace freq =1 if id=="17(1902)"
	replace freq =.25 if id=="17(1902)" & [(year==1903 & month>=7) | year>=1904]	
	replace freq =2 if id=="18-1"
	replace freq =2 if id=="18-2"
	replace freq =2 if id=="18-3"
	replace freq =1 if id=="18-4"
	replace freq =1 if id=="18(1878)"
	replace freq =2 if id=="18-5"
	replace freq =3 if id=="18-5" & [(year==1882 & month>=9) | year>=1883]
	replace freq =6 if id=="18-5" & [(year==1895 & month>=10) | year>=1896]
	replace freq =6 if id=="18-10"
	replace freq =2 if id=="18-10" & [(year==1906 & month>=4) | year>=1907]
	replace freq =3 if id=="18-10" & [(year==1906 & month>=10) | year>=1907]
	replace freq =4 if id=="19-1"	
	replace freq =6 if id=="19-1" & [(year==1868 & month>=10) | year>=1869]
	replace freq =2 if id=="19-2"
	replace freq =3 if id=="19-2" & [(year==1867 & month>=10) | year>=1868]
	replace freq =4 if id=="19-2" & [(year==1870 & month>=5) | year>=1870]
	replace freq =6 if id=="19-2" & [(year==1872 & month>=7) | year>=1873]
	replace freq =6 if id=="19-5"
	replace freq =1 if id=="19(1904)"
	replace freq =2 if id=="20-1"
	replace freq =3 if id=="20-1" & [(year==1853 & month>=4) | year>=1854]
	replace freq =4 if id=="20-1" & [(year==1863 & month>=1) | year>=1864]
	replace freq =5 if id=="20-1" & [(year==1871 & month>=9) | year>=1872]
	replace freq =6 if id=="20-1" & [(year==1877 & month>=6) | year>=1878]
	replace freq =6 if id=="20-2"
	replace freq =6 if id=="20-3"
	replace freq =1 if id=="20(1904)"
	replace freq =3 if id=="21-1"
	replace freq =4 if id=="21-1" & [(year==1856 & month>=4) | year>=1857]
	replace freq =6 if id=="21-1" & [(year==1882 & month>=4) | year>=1883]
	replace freq =2 if id=="21(1895)"
	replace freq =3 if id=="21(1895)" & [(year==1896 & month>=1) | year>=1897]
	replace freq =2 if id=="21(1896)"
	replace freq =6 if id=="21-2"
	replace freq =3 if id=="22-1"
	replace freq =4 if id=="22-1" & [(year==1859 & month>=7) | year>=1860]
	replace freq =6 if id=="22-1" & [(year==1891 & month>=2) | year>=1892]
	replace freq =6 if id=="22-1"
	replace freq =3 if id=="23-1"
	replace freq =4 if id=="23-1" & [(year==1864 & month>=2) | year>=1865]
	replace freq =6 if id=="23-1" & [(year==1878 & month>=1) | year>=1879]
	replace freq =3 if id=="25-4"
	replace freq =4 if id=="25-4" & [(year==1851 & month>=11) | year>=1852]
	replace freq =6 if id=="25-4" & [(year==1870 & month>=9) | year>=1871]
	replace freq =3 if id=="25-5"
	replace freq =4 if id=="25-5" & [(year==1867 & month>=4) | year>=1868]
	replace freq =6 if id=="25-5" & [(year==1874 & month>=1) | year>=1875]	
	replace freq =6 if id=="25-7"
	replace freq =6 if id=="25-8" 
	replace freq =6 if id=="25-9" 
	replace freq =1 if id=="26-1"
	replace freq =3 if id=="26-3" 
	replace freq =4 if id=="26-3" & [(year==1864 & month>=1) | year>=1865]
	replace freq =6 if id=="26-3" & [(year==1875 & month>=1) | year>=1876]
	replace freq =3 if id=="27-1" 
	replace freq =4 if id=="27-1" & [(year==1871 & month>=2) | year>=1872]
	replace freq =6 if id=="27-1" & [(year==1874 & month>=4) | year>=1875]
	replace freq =6 if id=="27-2" 
	replace freq =6 if id=="27-4"
	replace freq =3 if id=="28-2" 
	replace freq =4 if id=="28-2" & [(year==1872 & month>=1) | year>=1873]
	replace freq =6 if id=="28-2" & [(year==1874 & month>=7) | year>=1875]
	replace freq =6 if id=="28-6" 
	replace freq =3 if id=="29-1" 
	replace freq =4 if id=="29-1" & [(year==1864 & month>=1) | year>=1865]
	replace freq =6 if id=="29-1" & [(year==1874 & month>=10) | year>=1875]
	replace freq =3 if id=="29-2" 
	replace freq =3 if id=="30-1" 
	replace freq =4 if id=="30-1" & [(year==1871 & month>=1) | year>=1872]
	replace freq =5 if id=="30-1" & [(year==1885 & month>=4) | year>=1886]
	replace freq =6 if id=="30-1" & [(year==1887 & month>=7) | year>=1888]
	replace freq =4 if id=="30-2"
	replace freq =3 if id=="30-3"
	replace freq =6 if id=="30-3" & [(year==1879 & month>=1) | year>=1880]
	replace freq =6 if id=="30-5" 
	replace freq =2 if id=="31-1" 
	replace freq =3 if id=="31-1" & [(year==1861 & month>=7) | year>=1862]
	replace freq =4 if id=="31-1" & [(year==1881 & month>=1) | year>=1882]
	replace freq =6 if id=="31-1" & [(year==1891 & month>=10) | year>=1892]
	replace freq =2.5 if id=="31-2" 
	replace freq =1 if id=="31-3" 
	replace freq =1 if id=="31-4" 
	replace freq =1 if id=="31-5"
	replace freq =2 if id=="31-6" 
	replace freq =3 if id=="31-6" & [(year==1864 & month>=10) | year>=1865]
	replace freq =2 if id=="31(1864)" 
	replace freq =3 if id=="31-7"
	replace freq =4 if id=="31-7" & [(year==1885 & month>=7) | year>=1886]
	replace freq =6 if id=="31-7" & [(year==1891 & month>=10) | year>=1892]
	replace freq =1 if id=="31(1889,a)"
	replace freq =1 if id=="31(1889,b)" 
	replace freq =2 if id=="31(1889,b)" & [(year==1890 & month>=9) | year>=1891]
	replace freq =3 if id=="31-8" 
	replace freq =2 if id=="31-9" 
	replace freq =6 if id=="31-10" 
	replace freq =6 if id=="31-11" 
	replace freq =1 if id=="31(1912)" 
	replace freq =3 if id=="32-1"
	replace freq =3 if id=="32-2" 
	replace freq =6 if id=="32-3" 
	replace freq =4 if id=="33-1"  
	replace freq =5 if id=="33-1"  & [(year==1852 & month>=1) | year>=1853]
	replace freq =6 if id=="33-1"  & [(year==1865 & month>=1) | year>=1866]
	replace freq =7 if id=="33-1"  & [(year==1869 & month>=1) | year>=1870]
	replace freq =6 if id=="33-1"  & [(year==1882 & month>=1) | year>=1883]
	replace freq =5 if id=="33-2"  
	replace freq =5.5 if id=="33-2"  & [(year==1874 & month>=1) | year>=1875]	
	replace freq =6 if id=="33-2"  & [(year==1883 & month>=12) | year>=1884]
	replace freq =6 if id=="33-3"  
	replace freq =3 if id=="34-1"  
	replace freq =4.5 if id=="34-1"  & [(year==1863 & month>=1) | year>=1864]
	replace freq =6 if id=="34-1"  & [(year==1865 & month>=9) | year>=1866]
	replace freq =6 if id=="34-2"  
	replace freq =4 if id=="34-3"  
	replace freq =3 if id=="34-4" 
	replace freq =4 if id=="34-4"  & [(year==1868 & month>=10) | year>=1869]
	replace freq =6 if id=="34-4"  & [(year==1873 & month>=4) | year>=1874]
	replace freq =6 if id=="34-5"  
	replace freq =1 if id=="34(1887)"  
	replace freq =1 if id=="34(1887)"   & [(year==1887 & month>=10) | year>=1888]
	replace freq =6 if id=="34-8"  
	replace freq =3 if id=="35-2"  
	replace freq =3.5 if id=="35-2"  & [(year==1872 & month>=1) | year>=1872]
	replace freq =4 if id=="35-2"  & [(year==1873 & month>=1) | year>=1873]
	replace freq =5 if id=="35-2"  & [(year==1879 & month>=10) | year>=1880]
	replace freq =6 if id=="35-2"  & [(year==1890 & month>=4) | year>=1891]
	replace freq =6 if id=="35-3"  
	replace freq =6 if id=="35-4"  
	replace freq =6 if id=="35-5" 
	replace freq =3 if id=="36-1" 
	replace freq =4 if id=="36-1"  & [(year==1873 & month>=1) | year>=1873]
	replace freq =6 if id=="36-1"  & [(year==1878 & month>=7) | year>=1879]
	replace freq =3 if id=="37-1"  
	replace freq =4 if id=="37-2"  
	replace freq =3 if id=="37-2"  & [(year==1873 & month>=7) | year>=1874]
	replace freq =4 if id=="37-2"  & [(year==1890 & month>=1) | year>=1891]
	replace freq =6 if id=="37-2"  & [(year==1916 & month>=5) | year>=1916]
	replace freq =6 if id=="38-1"  
	replace freq =6 if id=="38-2"  
	replace freq =2 if id=="38(1914)" 
	replace freq =5 if id=="39-2"  
	replace freq =5.5 if id=="39-2"  & [(year==1846 & month>=1) | year>=1847]
	replace freq =6 if id=="39-2"  & [(year==1850 & month>=1) | year>=1850]
	replace freq =7 if id=="39-2"  & [(year==1914 & month>=1) | year>=1814]
	replace freq =5 if id=="39-3" 
	replace freq =6 if id=="39-3"  & [(year==1850 & month>=1) | year>=1851]
	replace freq =3 if id=="39-6" 
	replace freq =2.5 if id=="39(1886)" 
	replace freq =2 if id=="39-7"  
	replace freq =1 if id=="39-7"  & [(year==1870 & month>=1) | year>=1871]
	replace freq =6 if id=="39-8"  
	replace freq =6 if id=="39-9" 
	replace freq =1 if id=="39(1873)"  
	replace freq =6 if id=="39-10" 
	replace freq =1 if id=="39(1889)"  
	replace freq =6 if id=="39-11"  
	replace freq =6 if id=="39-13"  
	replace freq =7 if id=="39-13"  & [(year==1915 & month>=6) | year>=1916]
	replace freq =1 if id=="39(1896)" 
	replace freq =6 if id=="39-14" 
	replace freq =6 if id=="39-16"  
	replace freq =3 if id=="40-2" 
	replace freq =3 if id=="40-3"  
	replace freq =4 if id=="40-5"
	replace freq =4 if id=="40-6"  
	replace freq =3 if id=="40-7"  
	replace freq =4 if id=="40-7"  & [(year==1880 & month>=1) | year>=1881]
	replace freq =6 if id=="40-7"  & [(year==1881 & month>=1) | year>=1882]
	replace freq =3 if id=="41-1"  
	replace freq =4 if id=="41-1"  & [(year==1863 & month>=7) | year>=1864]
	replace freq =6 if id=="41-1"  & [(year==1865 & month>=2) | year>=1866]
	replace freq =4 if id=="42-1"  
	replace freq =5 if id=="42-1"  & [(year==1867 & month>=9) | year>=1868]
	replace freq =6 if id=="42-1"  & [(year==1884 & month>=1) | year>=1885]
	replace freq =4 if id=="42-2"  
	replace freq =5 if id=="42-2"  & [(year==1865 & month>=11) | year>=1866]
	replace freq =6 if id=="42-3"  
	replace freq =6 if id=="42-5" 
	replace freq =2 if id=="43-1" 
	replace freq =3 if id=="43-2"  
	replace freq =4 if id=="43-2"  & [(year==1858 & month>=8) | year>=1859]
	replace freq =6 if id=="43-2"  & [(year==1870 & month>=1) | year>=1871]
	replace freq =6 if id=="43-4" 
	replace freq =6 if id=="43-5"  
	replace freq =6 if id=="43-6" 
	replace freq =3 if id=="45-1"  
	replace freq =4 if id=="45-1"  & [(year==1861 & month>=11) | year>=1862]
	replace freq =5 if id=="45-1"  & [(year==1863 & month>=1) | year>=1864]
	replace freq =6 if id=="45-1"  & [(year==1882 & month>=9) | year>=1883]
	replace freq =4 if id=="45-2"  
	replace freq =5 if id=="45-2"  & [(year==1866 & month>=1) | year>=1867]
	replace freq =6 if id=="45-2"  & [(year==1882 & month>=1) | year>=1883]
	replace freq =6 if id=="45-4"  
	replace freq =6 if id=="45-5" 
	replace freq =6 if id=="45-6" 
	replace freq =6 if id=="46-1"  
	replace freq =4 if id=="46-1"  & [(year==1852 & month>=2) | year>=1853]
	replace freq =5 if id=="46-1"  & [(year==1867 & month>=1) | year>=1868]
	replace freq =6 if id=="46-1"  & [(year==1883 & month>=1) | year>=1884]
	replace freq =6 if id=="46-3" 
	replace freq =6 if id=="46-4" 
	replace freq =6 if id=="46-5" 
	replace freq =4 if id=="47-2"  
	replace freq =6 if id=="47-2"  & [(year==1867 & month>=10) | year>=1868]
	replace freq =6 if id=="47-3" 
	replace freq =6 if id=="47-4" 
	replace freq =6 if id=="48-4" 
	replace freq =3 if id=="49-1" 
	replace freq =4 if id=="49-1"  & [(year==1860 & month>=11) | year>=1861]
	replace freq =5 if id=="49-1"  & [(year==1870 & month>=4) | year>=1871]
	replace freq =6 if id=="49-1"  & [(year==1870 & month>=9) | year>=1871]
	replace freq =5 if id=="49-1"  & [(year==1871 & month>=11) | year>=1872]
	replace freq =6 if id=="49-1"  & [(year==1892 & month>=4) | year>=1893]
	replace freq =2 if id=="49-2"  
	replace freq =4 if id=="49-2"  & [(year==1862 & month>=7) | year>=1863]
	replace freq =3 if id=="49-3"  
	replace freq =4 if id=="49-3"  & [(year==1870 & month>=4) | year>=1871]
	replace freq =5 if id=="49-3"  & [(year==1892 & month>=5) | year>=1893]
	replace freq =6 if id=="49-3"  & [(year==1896 & month>=1) | year>=1896]
	replace freq =6 if id=="49-4" 
	replace freq =6 if id=="49-6" 
	replace freq =3 if id=="50 a-2"  
	replace freq =4 if id=="50 a-2"  & [(year==1881 & month>=9) | year>=1882]
	replace freq =4 if id=="50 a-3"  
	replace freq =5 if id=="50 a-3"  & [(year==1882 & month>=10) | year>=1883]
	replace freq =6 if id=="50 a-3"  & [(year==1901 & month>=4) | year>=1902]
	replace freq =6 if id=="50 b-2"  
	replace freq =6 if id=="50 b-5"  
	replace freq =6 if id=="50 b-6"  
	replace freq =3 if id=="51-1"  
	replace freq =6 if id=="51-1"  & [(year==1865 & month>=10) | year>=1866]
	replace freq =4 if id=="51-2"  
	replace freq =6 if id=="51-2"  & [(year==1867 & month>=10) | year>=1868]
	replace freq =2 if id=="51-3"  
	replace freq =3 if id=="51-3"  & [(year==1887 & month>=4) | year>=1888]
	replace freq =6 if id=="51-3"  & [(year==1887 & month>=10) | year>=1888]
	replace freq =6 if id=="51-4" 
	replace freq =6 if id=="51-6"  
	replace freq =6 if id=="51-8" 
	replace freq =1 if id=="51(1915)" 
	replace freq =3 if id=="52-1"  
	replace freq =4 if id=="52-1"  & [(year==1852 & month>=1) | year>=1853]
	replace freq =4.5 if id=="52-1"  & [(year==1862 & month>=1) | year>=1863]
	replace freq =6 if id=="52-1"  & [(year==1866 & month>=1) | year>=1867]
	replace freq =4 if id=="52-2" 
	replace freq =5.5 if id=="52-2"  & [(year==1865 & month>=1) | year>=1866]
	replace freq =6 if id=="52-2"  & [(year==1867 & month>=1) | year>=1868]
	replace freq =1 if id=="52(1871)" 
	replace freq =6 if id=="52-4" 
	replace freq =1 if id=="52(1876)" 
	replace freq =1 if id=="52(1897)"  
	replace freq =6 if id=="52-6" 
	replace freq =6 if id=="52-8"  
	replace freq =3 if id=="53-3" 
	replace freq =6 if id=="53-3"  & [(year==1864 & month>=5) | year>=1865]
	replace freq =4 if id=="53-3"  & [(year==1865 & month>=1) | year>=1866]
	replace freq =5 if id=="53-3"  & [(year==1880 & month>=10) | year>=1881]
	replace freq =6 if id=="53-3"  & [(year==1881 & month>=4) | year>=1882]
	replace freq =4 if id=="53-4" 
	replace freq =6 if id=="53-4"  & [(year==1869 & month>=1) | year>=1870]
	replace freq =6 if id=="53-5" 
	replace freq =5.5 if id=="53-6" 
	replace freq =6 if id=="53-7"  
	replace freq =6 if id=="53-9" 
	replace freq =1 if id=="54(1913)"  
	replace freq =3 if id=="55-1"  
	replace freq =4 if id=="55-1"  & [(year==1848 & month>=4) | year>=1849]
	replace freq =5 if id=="55-1"  & [(year==1860 & month>=10) | year>=1861]
	replace freq =6 if id=="55-1"  & [(year==1864 & month>=1) | year>=1865]
	replace freq =1 if id=="55-2" 
	replace freq =2 if id=="55-2"  & [(year==1853 & month>=4) | year>=1854]
	replace freq =2 if id=="55-3"  
	replace freq =6 if id=="55-4" 
	replace freq =6 if id=="55-5" 
	replace freq =6 if id=="55-8" 
	replace freq =6 if id=="55-10"  
	replace freq =2 if id=="56-1"  
	replace freq =3 if id=="56-1"  & [(year==1862 & month>=5) | year>=1863]
	replace freq =4 if id=="56-1"  & [(year==1873 & month>=1) | year>=1874]
	replace freq =6 if id=="56-1"  & [(year==1875 & month>=1) | year>=1876]
	replace freq =6 if id=="56-3" 
	replace freq =5 if id=="56-5" 
	replace freq =6 if id=="56-6" 
	replace freq =6 if id=="56-7"  
	replace freq =6 if id=="56-8" 
	replace freq =4 if id=="57-1"  
	replace freq =6 if id=="57-1"  & [(year==1873 & month>=1) | year>=1874]
	replace freq =3 if id=="57-2" 
	replace freq =2 if id=="57-2"  & [(year==1876 & month>=7) | year>=1877]
	replace freq =4 if id=="57-3" 
	replace freq =6 if id=="57-3"  & [(year==1877 & month>=4) | year>=1878]
	replace freq =4.5 if id=="59-1"  
	replace freq =6 if id=="59-1"  & [(year==1857 & month>=4) | year>=1858]
	replace freq =7 if id=="59-1"  & [(year==1875 & month>=1) | year>=1876]
	replace freq =6 if id=="59-1b" 
	replace freq =1 if id=="59(1840)"  
	replace freq =7 if id=="59-7" 
	replace freq =6 if id=="59-8" 
	replace freq =2 if id=="59-8"  & [(year==1850 & month>=2) | year>=1851]
	replace freq =1 if id=="59-8"  & [(year==1854 & month>=1) | year>=1855]
	replace freq =1 if id=="59(1859)"  
	replace freq =3 if id=="59-3"  
	replace freq =4 if id=="59-3"  & [(year==1861 & month>=10) | year>=1862]
	replace freq =3 if id=="59-3"  & [(year==1863 & month>=3) | year>=1864]
	replace freq =3 if id=="59-10"  
	replace freq =4 if id=="59-11" 
	replace freq =6 if id=="59-11"  & [(year==1870 & month>=1) | year>=1871]
	replace freq =7 if id=="59-11"  & [(year==1906 & month>=1) | year>=1907]
	replace freq =4 if id=="59-12" 
	replace freq =6 if id=="59-13" 
	replace freq =6.5 if id=="59-14"  
	replace freq =12 if id=="59-14"  & [(year==1881 & month>=1) | year>=1882]
	replace freq =7 if id=="59-14"  & [(year==1890 & month>=1) | year>=1891]
	replace freq =1 if id=="59(1873)" 
	replace freq =6 if id=="59-15"  
	replace freq =6 if id=="59-16"  
	replace freq =1 if id=="59(1883)"  
	replace freq =6 if id=="59-17" 
	replace freq =6 if id=="59-18"  
	replace freq =7 if id=="59-18"  & [(year==1906 & month>=1) | year>=1907]
	replace freq =6 if id=="59-19"  
	replace freq =1 if id=="59 (1895)"  
	replace freq =7 if id=="59-21" 
	replace freq =7 if id=="59-22" 
	replace freq =6 if id=="59-22"  & [(year==1910 & month>=1) | year>=1911]
	replace freq =1 if id=="59(1904)"  
	replace freq =7 if id=="59-23"  
	replace freq =6 if id=="59-23"  & [(year==1908 & month>=1) | year>=1909]
	replace freq =6 if id=="59-24" 
	replace freq =7 if id=="59-25"  
	replace freq =6 if id=="59-26"  
	replace freq =2 if id=="59(1909)" 
	replace freq =6 if id=="59-27"  
	replace freq =6 if id=="59(1914)"  
	replace freq =1 if id=="60-1" 
	replace freq =6 if id=="60-1"  & [(year==1893 & month>=9) | year>=1894]
	replace freq =6 if id=="60-4" 
	replace freq =6 if id=="60-5" 
	replace freq =4 if id=="61-1" 
	replace freq =5 if id=="61-1"  & [(year==1852 & month>=1) | year>=1853]
	replace freq =6 if id=="61-1"  & [(year==1853 & month>=1) | year>=1854]
	replace freq =2 if id=="61-4"  
	replace freq =1 if id=="61(1859)"  
	replace freq =6 if id=="61-5" 
	replace freq =6.5 if id=="61-5"  & [(year==1872 & month>=1) | year>=1873]
	replace freq =7 if id=="61-5"  & [(year==1872 & month>=2) | year>=1873]
	replace freq =6 if id=="61-5"  & [(year==1872 & month>=10) | year>=1873]
	replace freq =6 if id=="61-8"  
	replace freq =6 if id=="61-9"  
	replace freq =6 if id=="61-11" 
	replace freq =6 if id=="61-15" 
	replace freq =6 if id=="61-16" 
	replace freq =3.5 if id=="62-1"  
	replace freq =4 if id=="62-1"  & [(year==1856 & month>=1) | year>=1857]
	replace freq =5.5 if id=="62-1"  & [(year==1883 & month>=1) | year>=1884]
	replace freq =6 if id=="62-1"  & [(year==1883 & month>=4) | year>=1884]
	replace freq =6 if id=="62-2" 
	replace freq =3 if id=="63-1"  
	replace freq =1 if id=="63(1850)"  
	replace freq =3 if id=="63-2"
	replace freq =6 if id=="63-2"  & [(year==1861 & month>=5) | year>=1862]
	replace freq =5 if id=="63-2"  & [(year==1868 & month>=1) | year>=1869]
	replace freq =6 if id=="63-2"  & [(year==1876 & month>=7) | year>=1877]
	replace freq =5 if id=="63-3"  
	replace freq =6 if id=="63-3"  & [(year==1878 & month>=10) | year>=1879]
	replace freq =6 if id=="63-6" 
	replace freq =6 if id=="64-3"  
	replace freq =3 if id=="64-3"  & [(year==1873 & month>=10) | year>=1874]
	replace freq =4 if id=="64-3"  & [(year==1884 & month>=1) | year>=1885]
	replace freq =6 if id=="64-3"  & [(year==1888 & month>=1) | year>=1889]
	replace freq =5 if id=="64-5"  
	replace freq =2 if id=="64-11, Kuebel" 
	replace freq =1 if id=="64-11, Kuebel"  & [(year==1916 & month>=7) | year>=1917]
	replace freq =5 if id=="66-1"  
	replace freq =5.5 if id=="66-1"  & [(year==1848 & month>=1) | year>=1848]
	replace freq =6 if id=="66-1"  & [(year==1851 & month>=4) | year>=1852]
	replace freq =6 if id=="66-3"  
	replace freq =6 if id=="66-4" 
	replace freq =2.5 if id=="66-5"  
	replace freq =3 if id=="66-5"  & [(year==1851 & month>=11) | year>=1852]
	replace freq =4 if id=="66-5"  & [(year==1852 & month>=1) | year>=1853]
	replace freq =3 if id=="66-5"  & [(year==1862 & month>=10) | year>=1863]
	replace freq =4 if id=="66-6"  
	replace freq =6 if id=="66-6"  & [(year==1852 & month>=5) | year>=1853]
	replace freq =4 if id=="66-7"
	replace freq =6 if id=="66-6"  & [(year==1861 & month>=10) | year>=1862]
	replace freq =7 if id=="66-8, b" 
	replace freq =7 if id=="66-9" 
	replace freq =6 if id=="66-10" 
	replace freq =6 if id=="66-12" 
	replace freq =1 if id=="66(1887)"  
	replace freq =6 if id=="66-13" 
	replace freq =6 if id=="66-14" 
	replace freq =7 if id=="66-14"  & [(year==1917 & month>=9) | year>=1918]
	replace freq =6 if id=="66-17" 
	replace freq =1 if id=="66(1910)"  
	replace freq =6 if id=="66-20"  
	replace freq =1 if id=="66(1913)" 
	replace freq =3 if id=="67-1"  
	replace freq =6 if id=="67-1"  & [(year==1866 & month>=7) | year>=1867]
	replace freq =4 if id=="67-1"  & [(year==1866 & month>=10) | year>=1868]
	replace freq =6 if id=="67-2" 
	replace freq =4 if id=="67-3"  
	replace freq =3 if id=="67-4" 
	replace freq =6 if id=="67-5" 
	replace freq =6 if id=="67-6" 
	replace freq =6 if id=="67-7" 
	replace freq =.5 if id=="67(1902)" 
	replace freq =1 if id=="67(1902)"  & [(year==1903 & month>=4) | year>=1904]
	replace freq =1 if id=="67(1903)" 
	replace freq =2 if id=="67(1903)"  & [(year==1905 & month>=10) | year>=1906]
	replace freq =3 if id=="68-1" 
	replace freq =4 if id=="68-1"  & [(year==1867 & month>=10) | year>=1868]
	replace freq =6 if id=="68-1"  & [(year==1868 & month>=7) | year>=1869]
	replace freq =1 if id=="70(1909)"  
	replace freq =3 if id=="71-1" 
	replace freq =4 if id=="71-1"  & [(year==1848 & month>=4) | year>=1849]
	replace freq =4.5 if id=="71-1"  & [(year==1854 & month>=4) | year>=1855]
	replace freq =5 if id=="71-1"  & [(year==1856 & month>=8) | year>=1857]
	replace freq =6 if id=="71-1"  & [(year==1873 & month>=1) | year>=1874]
	replace freq =6 if id=="71-2"  
	replace freq =6 if id=="71-6"  
	replace freq =1 if id=="71(1916) Vraa"  
	replace freq =3.5 if id=="72-1"  
	replace freq =4.5 if id=="72-1"  & [(year==1854 & month>=4) | year>=1855]
	replace freq =4 if id=="72-1"  & [(year==1856 & month>=1) | year>=1856]
	replace freq =5 if id=="72-1"  & [(year==1870 & month>=10) | year>=1871]
	replace freq =6 if id=="72-1"  & [(year==1871 & month>=1) | year>=1872]
	replace freq =6 if id=="72-4"  
	replace freq =6 if id=="73-3"  
	replace freq =1 if id=="74(1909)" 
	replace freq =1 if id=="75(1912)" 
	replace freq =6 if id=="75-1"  
	replace freq =3 if id=="76-1" 
	replace freq =4 if id=="76-1"  & [(year==1855 & month>=1) | year>=1856]
	replace freq =6 if id=="76-1"  & [(year==1870 & month>=1) | year>=1871]
	replace freq =6 if id=="76-2" 
	replace freq =6 if id=="76-3"  
	replace freq =6 if id=="76-4"  
	replace freq =3 if id=="77-1" 
	replace freq =4 if id=="77-1"  & [(year==1877 & month>=10) | year>=1878]
	replace freq =7 if id=="77-1"  & [(year==1891 & month>=4) | year>=1892]
	replace freq =3 if id=="77-2"  
	replace freq =6 if id=="77-2"  & [(year==1882 & month>=10) | year>=1883]
	replace freq =6 if id=="77-3" 
	replace freq =4 if id=="79-1"  
	replace freq =5 if id=="79-1"  & [(year==1860 & month>=10) | year>=1861]
	replace freq =6 if id=="79-1"  & [(year==1864 & month>=1) | year>=1865]
	replace freq =3 if id=="79-2" 
	replace freq =6 if id=="79-2"  & [(year==1876 & month>=7) | year>=1877]
	replace freq =6 if id=="79-3"  
	replace freq =6 if id=="79-4"  
	replace freq =3 if id=="80-1" 
	replace freq =4 if id=="80-1"  & [(year==1873 & month>=10) | year>=1874]
	replace freq =6 if id=="80-1"  & [(year==1880 & month>=10) | year>=1881]
	replace freq =3 if id=="80-2" 
	replace freq =3 if id=="80-3" 
	replace freq =6 if id=="80-3"  & [(year==1882 & month>=4) | year>=1883]
	replace freq =6 if id=="80-6" 
	replace freq =2 if id=="84-1" 
	replace freq =3 if id=="84-1"  & [(year==1862 & month>=1) | year>=1863]
	replace freq =4 if id=="84-1"  & [(year==1868 & month>=1) | year>=1869]
	replace freq =6 if id=="84-1"  & [(year==1882 & month>=1) | year>=1883]
	replace freq =3 if id=="84-2"  
	replace freq =6 if id=="84-2"  & [(year==1887 & month>=1) | year>=1888]
	replace freq =6 if id=="84-3" 
	replace freq =2.5 if id=="85-1"  
	replace freq =3 if id=="85-1"  & [(year==1860 & month>=1) | year>=1861]
	replace freq =4 if id=="85-1"  & [(year==1880 & month>=1) | year>=1881]
	replace freq =6 if id=="85-1"  & [(year==1882 & month>=1) | year>=1883]
	replace freq =3 if id=="85-2" 
	replace freq =6 if id=="85-2"  & [(year==1883 & month>=1) | year>=1884]
	replace freq =6 if id=="85-3"  
	replace freq =3 if id=="86-1"  
	replace freq =4 if id=="86-1"  & [(year==1873 & month>=1) | year>=1874]
	replace freq =6 if id=="86-1"  & [(year==1875 & month>=1) | year>=1876]
	replace freq =3.5 if id=="86-2"  
	replace freq =6 if id=="86-2"  & [(year==1876 & month>=10) | year>=1877]
	replace freq =6 if id=="86-6"  
	replace freq =3 if id=="87-1" 
	replace freq =6 if id=="87-1"  & [(year==1880 & month>=7) | year>=1881]
	replace freq =3 if id=="87-2" 
	replace freq =6 if id=="87-2"  & [(year==1879 & month>=1) | year>=1880]
	replace freq =4 if id=="89 b-1" 
	replace freq =5 if id=="89 b-1"  & [(year==1872 & month>=12) | year>=1873]
	replace freq =6 if id=="91-3" 
	replace freq =6 if id=="94-1" 
	replace freq =6 if id=="91-6" 
	replace freq =6 if id=="91-8"  
	replace freq =3 if id=="92-1" 
	replace freq =4 if id=="92-1"  & [(year==1858 & month>=1) | year>=1859]
	replace freq =5 if id=="92-1"  & [(year==1876 & month>=10) | year>=1877]
	replace freq =6 if id=="92-1"  & [(year==1879 & month>=4) | year>=1880]
	replace freq =6 if id=="92-1 b"  
	replace freq =4 if id=="92-2" 
	replace freq =5 if id=="92-2"  & [(year==1872 & month>=12) | year>=1873]
	replace freq =3 if id=="92-2"  & [(year==1876 & month>=1) | year>=1877]
	replace freq =6 if id=="92-2"  & [(year==1879 & month>=10) | year>=1880]
	replace freq =3 if id=="93-1" 
	replace freq =4 if id=="93-1"  & [(year==1852 & month>=7) | year>=1853]
	replace freq =6 if id=="93-1"  & [(year==1867 & month>=3) | year>=1868]
	replace freq =4 if id=="93-2"  
	replace freq =6 if id=="93-2"  & [(year==1867 & month>=7) | year>=1868]
	replace freq =4 if id=="93-2"  & [(year==1867 & month>=10) | year>=1868]
	replace freq =6 if id=="93-3" 
	replace freq =6 if id=="93-5" 
	replace freq =1 if id=="94(1903)" 
	replace freq =2.5 if id=="94-4" 
	replace freq =3 if id=="94-4"  & [(year==1908 & month>=4) | year>=1909]
	replace freq =6 if id=="95-2" 
	replace freq =2 if id=="100-2" 
	replace freq =2 if id=="100-3"  
	replace freq =5 if id=="100-3"  & [(year==1848 & month>=4) | year>=1849]
	replace freq =2 if id=="100-4" 
	replace freq =3 if id=="100-5"  
	replace freq =6 if id=="100-5"  & [(year==1878 & month>=1) | year>=1879]
	replace freq =6 if id=="100-6" 
	replace freq =2.5 if id=="100(1873)" 
	replace freq =6 if id=="100-8" 
	replace freq =3.5 if id=="100-10" 
	replace freq =3 if id=="100-10"  & [(year==1886 & month>=11) | year>=1887]
	replace freq =4 if id=="100-10"  & [(year==1887 & month>=10) | year>=1888]
	replace freq =3 if id=="100-10"  & [(year==1888 & month>=4) | year>=1889]
	replace freq =6 if id=="100-14" 
	replace freq =1 if id=="103-2"  
	replace freq =2 if id=="103-2"  & [(year==1848 & month>=5) | year>=1849]
	replace freq =1 if id=="103-3" 
	replace freq =2 if id=="103-4"  
	replace freq =3 if id=="103-4"  & [(year==1852 & month>=1) | year>=1853]
	replace freq =3 if id=="103-5" 
	replace freq =3 if id=="103-6"  
	replace freq =3 if id=="103-7" 
	replace freq =6 if id=="103-7"  & [(year==1903 & month>=10) | year>=1904]
	replace freq =3 if id=="103-8"  
	replace freq =6 if id=="103-8"  & [(year==1903 & month>=1) | year>=1904]
	replace freq =3 if id=="103-10" 
	replace freq =6 if id=="103-10"  & [(year==1886 & month>=1) | year>=1887]
	replace freq =6 if id=="103-14"  
	replace freq =1 if id=="104-1"  
	replace freq =1 if id=="104-2"  
	replace freq =2 if id=="104-3"  
	replace freq =3 if id=="104-3"  & [(year==1850 & month>=4) | year>=1851]
	replace freq =2 if id=="104-3"  & [(year==1864 & month>=7) | year>=1865]
	replace freq =1.5 if id=="104-4"  
	replace freq =3 if id=="104-4"  & [(year==1870 & month>=1) | year>=1870]
	replace freq =6 if id=="104-4"  & [(year==1879 & month>=1) | year>=1879]
	replace freq =3 if id=="104-5"  
	replace freq =6 if id=="104-5"  & [(year==1872 & month>=1) | year>=1872]
	replace freq =6 if id=="105-3" 
	replace freq =1 if id=="108-1" 
	replace freq =2 if id=="108-1"  & [(year==1871 & month>=1) | year>=1873]
	replace freq =3 if id=="108-1"  & [(year==1876 & month>=10) | year>=1877]
	replace freq =6 if id=="108-1"  & [(year==1896 & month>=1) | year>=1897]
	replace freq =3 if id=="108-2"  
	replace freq =4 if id=="108-2"  & [(year==1857 & month>=5) | year>=1858]
	replace freq =5 if id=="108-2"  & [(year==1865 & month>=12) | year>=1866]
	replace freq =6 if id=="108-2"  & [(year==1871 & month>=4) | year>=1872]
	replace freq =5 if id=="108-2"  & [(year==1871 & month>=10) | year>=1872]
	replace freq =3 if id=="108-5"  
	replace freq =3 if id=="108-6" 
	replace freq =3 if id=="109-2"  
	replace freq =1 if id=="110 (1895) Skaerbaek/Reisby pr. Brons" 
	
	replace freq =1 if id=="400-1"  
	replace freq =1 if id=="400-2" 	
	replace freq =2 if id=="400-2"   & [(year==1910 & month>=4) | year>=1911]
	replace freq =1 if id=="400-3" 	
	replace freq =1 if id=="401-1" 	
	
	
*	bys frequency: egen mean_freq = mean(freq)

*	replace freq = mean_freq if freq==.
*	drop mean_freq
	replace freq = 6 if freq== . & frequency=="daily"  
	replace freq = 2 if freq== . & frequency=="weekly" 
	drop if freq<=3
	replace freq = . if  name==""
	rename district constituency
	replace name = name+ " (" + strofreal(freq) + " issues per week, " + start + "-" + end +");" if  name!=""
	replace freq = freq / 7
		
	*partisan affiliations	
	replace id = trim(id)
	gen party = "nonpartisan"
	replace party = "højre" if regexm( trim(lower(Pol)), "^konservativ")
	replace party = "venstre" if regexm(trim(lower(Pol)), "^vens")
	replace party = "radikale" if regexm(trim(lower(Pol)),"^radikal")
	replace party = "socialdem" if regexm(trim(lower(Pol)),"^social") | regexm(lower(name), "social")

	
	replace party = "højre" if id=="10-1" & year>=1871
	replace party = "højre" if id=="11-3" & year>=1875
	replace party = "højre" if id=="14-2" & year>=1873
	replace party = "venstre" if id=="14-3" 
	replace party = "moderate" if id=="14-3" & year>=1890 & year<=1894
	replace party = "venstre" if id=="15-1" & year>=1877
	replace party = "venstre" if id=="15-5" 
	replace party = "moderate" if id=="15-5" & year>=1890 & year<=1894
	replace party = "højre" if id=="16-4" & year>=1873
	replace party = "venstre" if id=="16-6" & year>=1887	
	replace party = "moderate" if id=="16-6" & year>=1890 & year<=1894
	replace party = "radikale" if id=="16-6" & [ (year==1907 & month>=10 ) | year>=1908 ]	
	replace party = "venstre" if id=="18-5" & year>=1880
	replace party = "moderate" if id=="18-5" & year>=1890 & year<=1894
	replace party = "venstre" if id=="18-7" 
	replace party = "venstre" if id=="18-7" & year==1905 & year==1906 & year==1907
	replace party = "højre" if id=="19-1" & year>=1866
	replace party = "venstre" if id=="19-1" & [ (year==1871 & month>=7 ) | year>=1872 ]	
	replace party = "moderate" if id=="19-1" & year>=1890 & year<=1902
	replace party = "venstre" if id=="19-2" 
	replace party = "højre" if id=="19-2" & year>=1872
	replace party = "venstre" if id=="2-5" 
	replace party = "radikale" if id=="2-5" & year==1905 & year==1906
	replace party = "radikale" if id=="20(1904)" & year>=1904
	replace party = "højre" if id=="20-1" & year>=1872
	replace party = "venstre" if id=="20-2" 
	replace party = "radikale" if id=="20-2" & year>=1890 & year<=1985
	replace party = "venstre" if id=="20-3"
	replace party = "radikale" if id=="20-3" & year>=1905
	replace party = "højre" if id=="21-1" & year>=1873
	replace party = "højre" if id=="23-1" & year>=1872
	replace party = "venstre" if id=="23-2" 
	replace party = "venstre" if id=="23-2" & year>=1890 & year<=1895
	replace party = "venstre" if id=="23-3" 
	replace party = "radikale" if id=="23-3" & year>=1905
	replace party = "venstre" if id=="24-2" 
	replace party = "radikale" if id=="24-2"  & year>=1905
	replace party = "moderate" if id=="24-3" 	
	replace party = "venstre" if id=="24-3" & year>=1895
	replace party = "højre" if id=="25-4" & year>=1873
	replace party = "venstre" if id=="25-5" 
	replace party = "venstre" if id=="25-5" & year>1890 & year<=1894
	replace party = "højre" if id=="26-3" & year>=1876
	replace party = "venstre" if id=="26-4" 
	replace party = "moderate" if id=="26-4"  & year>=1890 & year<=1894
	replace party = "venstre" if id=="27-1" & year>=1866
	replace party = "moderate" if id=="27-1" & year>=1890 & year<=1894
	replace party = "venstre" if id=="28-2"
	replace party = "venstre" if id=="28-2" & year>=1877
	replace party = "højre" if id=="29-1" & year>=1872
	replace party = "højre" if id=="30-2" & year>=1873 & year<=1887
	replace party = "venstre" if id=="30-3" & year>=1871 & year<=1890
	replace party = "moderate" if id=="30-3" & year>=1890 & year<=1898
	replace party = "radikale" if id=="30-3" & year>=1914 
	replace party = "socialdem" if id=="34-8" | id=="35-6"
	replace party = "højre" if id=="31-1" & year>=1872
	replace party = "moderate" if id=="31-10" 
	replace party = "moderate" if id=="31-10" & [ (year==1895 & month>=3 ) | year>=1896 ]		
	replace party = "venstre" if id=="31-6" 
	replace party = "højre" if id=="31-6" & year>=1875
	replace party = "højre" if id=="32-1" 
	replace party = "venstre" if id=="32-3"
	replace party = "højre" if id=="33-1" & year>=1873 & year<=1876
	replace party = "moderate" if id=="33-2" & year>=1890 & year<=1902
	replace party = "radikale" if id=="33-3" & year>=1905
	replace party = "højre" if id=="34-1" & year>=1872
	replace party = "moderate" if id=="34-4" & year>=1890 & year<=1902
	replace party = "radikale" if id=="34-7" & year>=1905
	replace party = "højre" if id=="35-2" & year>=1873
	replace party = "radikale" if id=="35-4" & year>=1905
	replace party = "radikale" if id=="36-1" & year>=1906
	replace party = "højre" if id=="37-2" & year>=1873 & year<=1876
	replace party = "venstre" if id=="37-2" & year>=1881 & year<=1890
	replace party = "højre" if id=="37-2" & year>=1891
	replace party = "radikale" if id=="37-2" & year>=1905
	replace party = "venstre" if id=="38-3"
	replace party = "radikale" if id=="38-3"	& year>=1905
	replace party = "radikale" if id=="39-13" & year>=1905
	replace party = "højre" if id=="39-2" & year>=1852
	replace party = "moderate" if id=="39-9" & year>=1890 & year<=1910
	replace party = "højre" if id=="40-7" & year>=1885
	replace party = "moderate" if id=="40-8" & year>=1890
	replace party = "højre" if id=="41-1" & year>=1881
	replace party = "venstre" if id=="41-1" & [ (year==1904 & month>=10 ) | year>=1905 ]	
	replace party = "højre" if id=="42-1" & year>=1872
	replace party = "radikale" if id=="42-1" & [ (year==1911 & month>=9 ) | year>=1912 ]	
	replace party = "moderate" if id=="42-3" & year>=1890 & year<=1902
	replace party = "venstre" if id=="43-2" & year>=1872 & year<=1881
	replace party = "moderate" if id=="43-2" & year>=1890 & year<=1902
	replace party = "radikale" if id=="43-5" & year>=1905
	replace party = "moderate" if id=="44-2" 
	replace party = "moderate" if id=="44-3"
	replace party = "venstre" if id=="44-3" & year>=1902
	replace party = "højre" if id=="45-1" & year>=1872
	replace party = "venstre" if id=="45-2" & year>=1865
	replace party = "moderate" if id=="45-4" 
	replace party = "højre" if id=="46-1" & year>=1873
	replace party = "moderate" if id=="46-1" & [ (year==1900 & month>=10 ) | year>=1901 ]	
	replace party = "moderate" if id=="46-3" & year>=1890
	replace party = "højre" if id=="47-2" & year>=1876 & year<=1878
	replace party = "venstre" if id=="47-3" 
	replace party = "højre" if id=="48-2" & [ (year==1897 & month>=10 ) | year>=1898 ]	
	replace party = "venstre" if id=="48-4" & year>=1911
	replace party = "venstre" if id=="49-1" & year>=1872 & year<=1880
	replace party = "moderate" if id=="49-1" & year>=1890 & year<=1895
	replace party = "venstre" if id=="49-3" & year>=1875 & year<=1880
	replace party = "højre" if id=="5-1" & year>=1872
	replace party = "venstre" if id=="5-4" 
	replace party = "radikale" if id=="5-4" & year>=1905
	replace party = "moderate" if id=="5-5" & year>=1890 & year<=1894
	replace party = "højre" if id=="50 a-2" & year>=1873
	replace party = "højre" if id=="50 a-2" & year>=1875 & year<=1886
	replace party = "venstre" if id=="50 b-5" & [ (year==1913 & month>=12 ) | year>=1914 ]		
	replace party = "højre" if id=="51-1" & year>=1872
	replace party = "moderate" if id=="51-2" & year>=1890 & year<=1902
	replace party = "venstre" if id=="51-3" & year>=1888
	replace party = "moderate" if id=="52-1" & year>=1890 & year<=1909
	replace party = "højre" if id=="52-2" & year>=1872
	replace party = "højre" if id=="53-3" & year>=1873
	replace party = "moderate" if id=="53-9" & year>=1890 & year<=1902
	replace party = "højre" if id=="55-1" & year>=1872
	replace party = "moderate" if id=="55-4" & year>=1890 & year<=1902
	replace party = "radikale" if id=="55-6" 
	replace party = "venstre" if id=="56-1" & year>=1862
	replace party = "moderate" if id=="56-1" & year>=1890 & year<=1902
	replace party = "moderate" if id=="56-3" & year>=1890 & year<=1894
	replace party = "højre" if id=="57-1"
	replace party = "venstre" if id=="57-1"	& year>=1873
	replace party = "højre" if id=="57-2" 
	replace party = "moderate" if id=="57-3"  & year>=1890 & year<=1902
	replace party = "radikale" if id=="57-6" & year>=1905
	replace party = "moderate" if id=="58-1" & year>=1890 & year<=1902
	replace party = "højre" if id=="59-1" & year>=1866 & year<=1872
	replace party = "moderate" if id=="59-11" & year>=1891 & year<=1902
	replace party = "højre" if id=="59-14" & year>=1877
	replace party = "moderate" if id=="59-16" & year>=1890 & year<=1894
	replace party = "radikale" if id=="59-22" & year>=1905
	replace party = "moderate" if id=="6(1895)" 
	replace party = "moderate" if id=="6-5"
	replace party = "højre" if id=="60-2" & year>=1885
	replace party = "moderate" if id=="60-4" & year>=1890
	replace party = "højre" if id=="61-1" & year>=1872
	replace party = "moderate" if id=="61-10" & year>=1891
	replace party = "moderate" if id=="61-8" & & year>=1890 & year<=1902
	replace party = "højre" if id=="62-1" & year>=1873
	replace party = "venstre" if id=="62-1" & year==1898 & month>=6
	replace party = "radikale" if id=="62-1" & year>=1905 
	replace party = "moderate" if id=="62-2" & year>=1891 & year<=1902
	replace party = "højre" if id=="63-2" & year>=1872
	replace party = "radikale" if id=="63-2" 	& [ (year==1910 & month>=10 ) | year>=1911 ]		
	replace party = "moderate" if id=="63-3" & year>=1890 & year<=1895
	replace party = "radikale" if id=="64-6" & year>=1905
	replace party = "radikale" if id=="65-2" & year>=1905
	replace party = "venstre" if id=="66-1" & year>=1848 & year<=1890
	replace party = "moderate" if id=="66-1" & year>=1890 & year<=1909
	replace party = "højre" if id=="68-1" & year>=1872
	replace party = "radikale" if id=="70-1" & year>=1905
	replace party = "højre" if id=="71-1" & year>=1872
	replace party = "højre" if id=="72-1" & year>=1872
	replace party = "radikale" if id=="73-2" & year>=1907
	replace party = "højre" if id=="76-1" & year>=1873
	replace party = "højre" if id=="77-1" & year>=1872
	replace party = "højre" if id=="79-1" & year>=1873
	replace party = "moderate" if id=="79-4"
	replace party = "højre" if id=="8-1" & year>=1873
	replace party = "højre" if id=="80-1" & year>=1875
	replace party = "venstre" if id=="80-1" & year>=1909
	replace party = "moderate" if id=="80-3" & year>=1891 & year<=1902
	replace party = "radikale" if id=="80-3" & year>=1909
	replace party = "moderate" if id=="80-6"
	replace party = "moderate" if id=="81-1" & year>=1890 & year<=1910
	replace party = "venstre" if id=="84-1" & year>=1866
	replace party = "nonpartisan" if id=="84-2" & year>=1882 & year<=1886
	replace party = "højre" if id=="85-1" & year>=1872
	replace party = "moderate" if id=="85-2" & year>=1890 & year<=1902
	replace party = "moderate" if id=="86-2" & year>=1890 & year<=1902
	replace party = "højre" if id=="87-1" & year>=1873
	replace party = "moderate" if id=="87-3" 
	replace party = "højre" if id=="9-2" & year>=1873
	replace party = "venstre" if id=="9-6" & year>=1876
	replace party = "radikale" if id=="9-6" & year>=1905
	replace party = "moderate" if id=="91-3" & year>=1892 & year<=1900
	replace party = "venstre" if id=="91-4" 
	replace party = "venstre" if id=="92-1" & year>=1871
	replace party = "radikale" if id=="92-2" & [ (year==1907 & month>=6 ) | year>=1908 ]
	replace party = "moderate" if id=="92-3" 
	replace party = "moderate" if id=="92-3"
	replace party = "venstre" if id=="92-3" & year>=1900
	replace party = "højre" if id=="93-1" & year>=1873
	replace party = "venstre" if id=="98-1" & year>=1872		
	replace party = "højre" if id=="400-2" 
	replace party = "nonpartisan" if id=="400-2" & year>=1906		
	replace party = "radikale" if id=="400-3"
	replace party = "nonpartisan" if id=="400-3" & year>=1906
		
		
	contract year month constituency name party freq
	drop _freq
	gsort constituency year month party name
	bys constituency year month party: gen n = _n	
		
	reshape wide name  freq ,i(constituency year month party ) j(n) 
	egen newspapertitles_ = concat(name*)
	egen _freq = rowtotal( freq*)	
	drop name* freq*
	rename _freq newspapers_

	reshape wide  newspapertitles_  newspapers_ ,i(constituency year month  ) j(party)  string
	
	egen newspapers = rowtotal( newspapers_*)	

	foreach var of varlist newspapers_* {
		replace `var' = 0 if `var' == .
	}
	format newspapertitles_* %30s

	
	

	rename constituency constituency_name
	
	
	merge 1:m constituency year month using ./../district_dates.dta
	
	sort constituency_name year month date
	by constituency_name: replace date = date[_n-1] if date==. & date[_n-1]!=.
	by constituency_name: replace constituency = constituency[_n-1] if constituency=="" & constituency[_n-1]!=""

	collapse (last) newspapertitles_* (mean) newspapers* , by(constituency date)
	drop if constituency==""
	save newspaper_info.dta, replace

	project ,creates(newspaper_info.dta)
